Home

# Class goog.fx.dom.PredefinedEffect

Abstract class that provides reusable functionality for predefined animations that manipulate a single DOM element

extends goog.fx.Animation

Instance Method Summary
| `onAnimate()` Dispatches the ANIMATE event. Sub classes should override this instead of listening to the event.
| `onBegin()` Dispatches the BEGIN event. Sub classes should override this instead of listening to the event, and call this instead of dispatching the event.
| `onEnd()` Dispatches the END event. Sub classes should override this instead of listening to the event, and call this instead of dispatching the event.
| `updateStyle()` Called to update the style of the element.